﻿<?php

$host			= ''; // ip, домен, или localhost
$data			= ''; // база
$user			= ''; // логин
$pass			= ''; // пароль

// Имя таблицы (sql_table_name в cfg/vip/settings.txt)
$vtab			= 'vip_tab';

// Список SteamID, которые не будут отображаться.
$IgnoreSteamID	= array('STEAM_0:0:1', 'STEAM_0:0:2');

// Список VIP групп, которые не будут отображаться.
$IgnoreGroup	= array('group1', 'group2');

// 1 = при нажатии на SteamID перекидывает в стим профиль игрока
// 0 = просто текст (если у вас css v34, то в 1 нет смысла)
$SteamProfile	= 1;

?>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>Список VIP игроков</title>

<style type="text/css">
A:link { color:black; text-decoration: none; } 
A:visited { color:black; text-decoration: none; } 
A:active { color:black; text-decoration: none; }
A:hover { color:red; }

td
{
	font-family:verdana,arial,helvetica;
	font-size:8pt;
	background:white;
	color:black;
	padding:5px;
	border:1px solid #d1d1d1;
}
#id_td
{
	padding-left:10px;
}
</style>

</head>
<body>

<?php

if (!($HNDL = @mysqli_connect($host, $user, $pass, $data)))
	exit("connect error");

mysqli_set_charset($HNDL, "utf8");

function toCommunityID($steamid)
{
	$parts = explode(':', $steamid);
	return bcadd(bcadd(bcmul($parts[2], '2'), '76561197960265728'), $parts[1]);
}

$result = mysqli_query($HNDL, "SELECT `name`, `time`, `vip_group`, `holiday`, `holiday_last`, `steamid` FROM `".$vtab."`") or die("query error: " . mysqli_error($HNDL));
$count  = 0;
$current_time = time();

echo '<table align="center" width="62%">';

while ($x = mysqli_fetch_array($result, MYSQLI_NUM))
{
	$vip_group		= $x[2];
	if (array_search($vip_group, $IgnoreGroup) !== false)
		continue;
	
	$steamid		= $x[5];
	if (array_search($steamid, $IgnoreSteamID) !== false)
		continue;
	
	if (!$count)
	{
		echo '<tr>';
		echo '<td align="center" width="2%" style="background:#e0e0e0">№</td>';
		echo '<td width="15%" id="id_td" style="background:#e0e0e0">Ник</td>';
		echo '<td width="15%" id="id_td" style="background:#e0e0e0">SteamID</td>';
		echo '<td width="15%" id="id_td" style="background:#e0e0e0">Группа</td>';
		echo '<td width="15%" id="id_td" style="background:#e0e0e0">Время</td>';
		echo '</tr>';
	}
	
	$name			= $x[0];
	$vip_time		= $x[1];
	$holiday		= $x[3];
	$holiday_last	= $x[4];
	
	echo '<tr>';
	
	printf('<td align="center" width="2%%">%02d</td>', ++$count);
	echo '<td width="15%" id="id_td">'.$name.'</td>';
	
	if ($SteamProfile)
		echo '<td width="15%" id="id_td"><a target="_blank" href="http://steamcommunity.com/profiles/'.toCommunityID($steamid).'">'.$steamid.'</a></td>';
	else
		echo '<td width="15%" id="id_td">'.$steamid.'</td>';
	
	echo '<td width="15%" id="id_td">'.$vip_group.'</td>';
	
	//
	echo '<td width="15%" id="id_td">';
	
	if ($holiday)
	{
		$s = $current_time - $holiday_last;
		if ($s > 0) printf('В отпуске: %02dд %02dч %02dм %02dс', ($s / 3600 / 24), ($s / 3600 % 24), ($s / 60 % 60), ($s % 60));
		else echo 'В отпуске';
	}
	else if ($vip_time > 0)
	{
		$s = $vip_time - $current_time;
		if ($s > 0) printf('Осталось: %02dд %02dч %02dм %02dс',  ($s / 3600 / 24), ($s / 3600 % 24), ($s / 60 % 60), ($s % 60));
		else echo 'Время истекло';
	}
	else
		echo 'Постоянный доступ';

	echo '</td>';
	//
	
	echo '</tr>';
}

if ($count < 1)
	echo '<tr><td align="center" width="62%">В базе нет VIP игроков</td></tr>';

echo '</table>';

mysqli_close($HNDL);

?>

</body>
</html>